#!/usr/bin/env python3
# test.py

from amplpy import AMPL
import numpy as np
lp = AMPL()
lp.read("test.mod")
lp.readData("test.dat")
lp.setOption("solver", "cplex")
ndata = lp.getData("n")
n = int(ndata.getRowByIndex(0)[0])
xvar = lp.getVariable("x")
for j in range(n):
    xvar[j+1].setValue(np.random.uniform(-1.0,1.0))
lp.solve()
solveres = lp.getData("solve_result")
solve_result = solveres.getRowByIndex(0)[0]
objfun = lp.getObjective("objfun")
objfunval = objfun.value()
x = np.zeros(n)
for j in range(n):
    x[j] = xvar[j+1].value()
print("solution norm is", np.linalg.norm(x))
print("optimal objective function value is", objfunval)
print("solver status is", solve_result)

